---
title: AudioWorkletNode.onprocessorerror
slug: Web/API/AudioWorkletNode/onprocessorerror
tags:
  - API
  - Audio
  - AudioWorkletNode
  - AudioWorkletProcessor
  - Event Handler
  - Property
  - Reference
  - Web Audio API
  - onprocessorerror
---
<p>{{ APIRef("Web Audio API") }}</p>

<p>The <code>onprocessorerror</code> property of the {{ domxref("AudioWorkletNode") }} interface defines an event handler function to be called when the {{domxref("AudioWorkletNode.processorerror_event", "processorerror")}} event fires. This occurs when the underlying {{domxref("AudioWorkletProcessor")}} behind the node throws an exception in its constructor, the {{domxref("AudioWorkletProcessor.process", "process")}} method, or any user-defined class method.</p>

<p>Once an exception is thrown, the processor (and thus the node) will output silence throughout its lifetime.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">audioWorkletNode.onprocessorerror = function() { ... };</pre>

<h2 id="Examples">Examples</h2>

<p>// FILL IN EXAMPLE SNIPPET</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-audioworkletnode-onprocessorerror', 'onprocessorerror')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioWorkletNode.onprocessorerror")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
